zenilib: zenilib/jni/external/sdl/src/video/SDL_shape_internals.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Typedefs | Enumerations | Functions
SDL_shape_internals.h File Reference
`#include "SDL_config.h"`
`#include "SDL_rect.h"`
`#include "SDL_shape.h"`
`#include "SDL_surface.h"`
`#include "begin_code.h"`
`#include "close_code.h"`

Go to the source code of this file.

## Classes

struct | SDL_QuadTreeChildren
struct | SDL_ShapeTree
union | SDL_ShapeUnion

## Typedefs

typedef void(* | SDL_TraversalFunction )(SDL_ShapeTree *, void *)

## Enumerations

enum | SDL_ShapeKind { QuadShape, TransparentShape, OpaqueShape }

## Functions

void | SDL_CalculateShapeBitmap (SDL_WindowShapeMode mode, SDL_Surface *shape, Uint8 *bitmap, Uint8 ppb)
SDL_ShapeTree * | SDL_CalculateShapeTree (SDL_WindowShapeMode mode, SDL_Surface *shape)
void | SDL_FreeShapeTree (SDL_ShapeTree **shape_tree)
void | SDL_TraverseShapeTree (SDL_ShapeTree *tree, SDL_TraversalFunction function, void *closure)

## Typedef Documentation

typedef void(* SDL_TraversalFunction)(SDL_ShapeTree *, void *)

Definition at line 54 of file SDL_shape_internals.h.

## Enumeration Type Documentation

enum SDL_ShapeKind

Enumerator
QuadShape |
TransparentShape |
OpaqueShape |

Definition at line 47 of file SDL_shape_internals.h.

## Function Documentation

void SDL_CalculateShapeBitmap | ( | SDL_WindowShapeMode | mode,
|  | SDL_Surface * | shape,
|  | Uint8 * | bitmap,
|  | Uint8 | ppb
| ) |  |

Definition at line 67 of file SDL_shape.c.

References SDL_PixelFormat::Amask, SDL_Color::b, SDL_WindowShapeParams::binarizationCutoff, SDL_PixelFormat::BytesPerPixel, SDL_WindowShapeParams::colorKey, SDL_Surface::format, SDL_Color::g, SDL_Surface::h, SDL_WindowShapeMode::mode, NULL, SDL_WindowShapeMode::parameters, SDL_Surface::pitch, SDL_Surface::pixels, SDL_Color::r, SDL_GetRGBA(), SDL_LockSurface(), SDL_MUSTLOCK, SDL_UnlockSurface(), ShapeModeBinarizeAlpha, ShapeModeColorKey, ShapeModeDefault, ShapeModeReverseBinarizeAlpha, and SDL_Surface::w.

SDL_ShapeTree* SDL_CalculateShapeTree | ( | SDL_WindowShapeMode | mode,
|  | SDL_Surface * | shape
| ) |  |

Definition at line 196 of file SDL_shape.c.

References SDL_Surface::h, NULL, RecursivelyCalculateShapeTree(), SDL_LockSurface(), SDL_MUSTLOCK, SDL_UnlockSurface(), and SDL_Surface::w.

void SDL_FreeShapeTree | ( | SDL_ShapeTree ** | shape_tree | ) |

Definition at line 223 of file SDL_shape.c.

References NULL, QuadShape, SDL_free(), and SDL_FreeShapeTree().

Referenced by SDL_FreeShapeTree().

void SDL_TraverseShapeTree | ( | SDL_ShapeTree * | tree,
|  | SDL_TraversalFunction | function,
|  | void * | closure
| ) |  |

Definition at line 209 of file SDL_shape.c.

References SDL_ShapeUnion::children, SDL_ShapeTree::data, SDL_QuadTreeChildren::downleft, SDL_QuadTreeChildren::downright, SDL_ShapeTree::kind, NULL, QuadShape, SDL_assert, SDL_TraverseShapeTree(), SDL_QuadTreeChildren::upleft, and SDL_QuadTreeChildren::upright.

Referenced by SDL_TraverseShapeTree().